
if minetest.get_modpath("climate_api") then

		local undergroundSky = {
			sky_data = {
				base_color = nil,
				type = "plain",
				textures = nil,
				clouds = false,
			},
			sun_data = {
				visible = false,
				sunrise_visible = false
			},
			moon_data = {
				visible = false
			},
			star_data = {
				visible = false
			}
		}

		local st_ly = table.copy(undergroundSky)
		st_ly.sky_data.base_color = "#444444"

	climate_api.register_weather(
		"chemistry:strong_stone_fog",
		{ has_biome = {
			"strong_stone_layer"
		} },
		{ ["climate_api:skybox"] = st_ly }
	)
end
